Subject: bug#40179: closed (Re: bug#40179: gpgme's json test fails)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Mar 2020 01:51:02 +0000

Your bug report

#40179: gpgme's json test fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40179: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40179
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40179: gpgme's json test fails
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Sun, 22 Mar 2020 02:50:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

ndre 写道：
> Since the upgrade to gnupg 2.2.20, gpgme fails a json
> test.

Then your Guix is hours out of date!  ;-)

> Apparently, the same issue is not guix specific and has
> already been reported on gnupg's bug track:
>
> https://dev.gnupg.org/T4820

Thanks for this link!  I'd asked on #gnupg whether this was a 
known issue but didn't hear back.

I'll keep an eye on the issue and will apply whatever fix upstream 
decides on.

Kind regards,

T G-R

Subject: gpgme's json test fails
From: ndre <[email-masked]>
To: [email-masked]
Date: Sat, 21 Mar 2020 21:05:57 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

Since the upgrade to gnupg 2.2.20, gpgme fails a json
test.

Apparently, the same issue is not guix specific and has
already been reported on gnupg's bug track:

https://dev.gnupg.org/T4820

Bellow is the output I've got when I tried building it:

Making check in json
make[2]: Entering directory '/tmp/guix-build-gpgme-1.13.1.drv-0/gpgme-1.13.1/tests/json'
make  check-am
make[3]: Entering directory '/tmp/guix-build-gpgme-1.13.1.drv-0/gpgme-1.13.1/tests/json'
make  check-TESTS
make[4]: Entering directory '/tmp/guix-build-gpgme-1.13.1.drv-0/gpgme-1.13.1/tests/json'
../../tests/start-stop-agent: line 18: which: command not found
starting gpg-agent..
../../tests/start-stop-agent: line 57: : command not found
OK
PASS: initial.test
Running t-config...
 success
Running t-version...
 success
Running t-keylist...
 success
Running t-keylist-secret...
 failed
FAIL: t-json
../../tests/start-stop-agent: line 18: which: command not found
stopping gpg-agent
PASS: final.test
=======================================
1 of 3 tests failed
Please report to https://bugs.gnupg.org
=======================================
make[4]: *** [Makefile:609: check-TESTS] Error 1
make[4]: Leaving directory '/tmp/guix-build-gpgme-1.13.1.drv-0/gpgme-1.13.1/tests/json'
make[3]: *** [Makefile:732: check-am] Error 2
make[3]: Leaving directory '/tmp/guix-build-gpgme-1.13.1.drv-0/gpgme-1.13.1/tests/json'
make[2]: *** [Makefile:734: check] Error 2
make[2]: Leaving directory '/tmp/guix-build-gpgme-1.13.1.drv-0/gpgme-1.13.1/tests/json'
make[1]: *** [Makefile:720: check-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-gpgme-1.13.1.drv-0/gpgme-1.13.1/tests'
make: *** [Makefile:534: check-recursive] Error 1

Test suite failed, dumping logs.
command "make" "check" "-j" "4" failed with status 2
note: keeping build directory `/tmp/guix-build-gpgme-1.13.1.drv-0'
builder for `/gnu/store/s6rqh1nahanif481rxnpav0imdkas9gg-gpgme-1.13.1.drv' failed with exit code 1
a compilação de /gnu/store/s6rqh1nahanif481rxnpav0imdkas9gg-gpgme-1.13.1.drv falhou
Veja o log de compilação em "/var/log/guix/drvs/s6/rqh1nahanif481rxnpav0imdkas9gg-gpgme-1.13.1.drv.bz2".
guix build: error: build of `/gnu/store/s6rqh1nahanif481rxnpav0imdkas9gg-gpgme-1.13.1.drv' failed